Package org.bukkit.event.vehicle

# Class VehicleEntityCollisionEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.vehicle.VehicleEvent
org.bukkit.event.vehicle.VehicleCollisionEvent
org.bukkit.event.vehicle.VehicleEntityCollisionEvent

All Implemented Interfaces:
  `Cancellable`

public class VehicleEntityCollisionEvent extends VehicleCollisionEvent implements Cancellable
Raised when a vehicle collides with an entity.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.vehicle.VehicleEvent

`vehicle`

## Constructor Summary

Constructors
Constructor
Description
`VehicleEntityCollisionEvent(@NotNull Vehicle vehicle, @NotNull Entity entity)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getEntity()`
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`boolean`
`isCollisionCancelled()`
`boolean`
`isPickupCancelled()`
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setCollisionCancelled(boolean cancel)`
`void`
`setPickupCancelled(boolean cancel)`

### Methods inherited from class org.bukkit.event.vehicle.VehicleEvent

`getVehicle`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VehicleEntityCollisionEvent

public VehicleEntityCollisionEvent(@NotNull @NotNull Vehicle vehicle, @NotNull @NotNull Entity entity)

## Method Details

### getEntity

@NotNull public @NotNull Entity getEntity()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### isPickupCancelled

public boolean isPickupCancelled()

### setPickupCancelled

public void setPickupCancelled(boolean cancel)

### isCollisionCancelled

public boolean isCollisionCancelled()

### setCollisionCancelled

public void setCollisionCancelled(boolean cancel)

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()